<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="io.renren.modules.generator.dao.AlgorithmDao">

    <!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="io.renren.modules.generator.entity.AlgorithmEntity" id="algorithmMap">
        <result property="algorithmId" column="algorithm_id"/>
        <result property="algorithmName" column="algorithm_name"/>
        <result property="categoryId" column="category_id"/>
        <result property="number" column="number"/>
        <result property="remark" column="remark"/>
        <result property="uid" column="uid"/>
        <result property="frameId" column="frame_id"/>
        <result property="dfsUrl" column="dfs_url"/>
        <result property="appFile" column="app_file" />
        <result property="belongAlgId" column="algorithm_id" />
        <result property="constructMessage" column="construct_message" />
    </resultMap>


</mapper>